> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Mute alerts for accounts

> Mute alerts of a specific type for one or more user accounts. Supports temporary mutes with an optional expiration timestamp.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json post /api/v1/organizations/{organizationId}/alerts/accounts/mute
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/alerts/accounts/mute:
    post:
      tags:
        - Alerts
      summary: Mute alerts for accounts
      description: >-
        Mute alerts of a specific type for one or more user accounts. Supports
        temporary mutes with an optional expiration timestamp.
      operationId: publicMuteAccountAlerts
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicMuteAccountAlertsRequestDto'
      responses:
        '200':
          description: Successfully muted account alerts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponseDto'
        '400':
          description: Invalid request body
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    PublicMuteAccountAlertsRequestDto:
      type: object
      properties:
        accountIds:
          description: Account IDs (peopleAccountIds) to mute alerts for
          example:
            - 157#user@example.com
            - 158#another@example.com
          type: array
          items:
            type: string
        alertType:
          type: string
          description: Alert type to mute
          enum:
            - retired_account
            - inactive_account
            - on_leave_account
            - unknown_account
            - public_files
          example: retired_account
        until:
          type: string
          description: >-
            Optional: Timestamp until when the alert should be muted (ISO 8601
            format). If not provided, mutes indefinitely.
          example: '2024-12-31T23:59:59.000Z'
        muteOtherAccounts:
          type: boolean
          description: Whether to also mute other accounts of the same people
          default: false
      required:
        - accountIds
        - alertType
    EmptyResponseDto:
      type: object
      properties: {}
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````